aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libogg/APKBUILD
diff options
context:
space:
mode:
authorMika Havela <mika.havela@gmail.com>2009-02-03 10:10:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-03 12:42:10 +0000
commit4515a01276fe4ba1c37e21c11b15e7c60231a806 (patch)
treef9a52e37fc4e98019ac4e55da0ba3a44a16e508f /testing/libogg/APKBUILD
parente0bc280a51b13736d62d216d9d58475067602b44 (diff)
downloadaports-4515a01276fe4ba1c37e21c11b15e7c60231a806.tar.gz
aports-4515a01276fe4ba1c37e21c11b15e7c60231a806.tar.bz2
aports-4515a01276fe4ba1c37e21c11b15e7c60231a806.tar.xz
testing/libogg: New APKBUILD for libogg
I have the feeling that this APKBUILD needs some extra work.
Diffstat (limited to 'testing/libogg/APKBUILD')
-rw-r--r--testing/libogg/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/libogg/APKBUILD b/testing/libogg/APKBUILD
new file mode 100644
index 0000000000..c62705fa04
--- /dev/null
+++ b/testing/libogg/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+pkgname=libogg
+pkgver=1.1.3
+pkgrel=0
+pkgdesc="Ogg bitstream and framing library"
+url="http://xiph.org/ogg/"
+license="unknown"
+depends="uclibc"
+makedepends="uclibc++-dev"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://downloads.xiph.org/releases/ogg/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make -j1 || return 1
+ make -j1 DESTDIR="$pkgdir" install
+
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="eaf7dc6ebbff30975de7527a80831585 libogg-1.1.3.tar.gz"